rizamodocs
Inbox

List inbox threads

GET
/inbox/threads

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the web app, under Developers. It starts with rz_live_.

Query Parameters

status?string
Value in"open""done"
kind?string
Value in"comment""dm""mention""review"
profileId?string
assigneeId?string

Response Body

OK

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://api.rizamo.com/v1/inbox/threads'
Example Response200
{  "items": [    {      "id": "string",      "profileId": "string",      "accountId": "string",      "network": "instagram",      "kind": "comment",      "contact": {        "name": "string",        "handle": "string",        "initials": "string",        "color": "string",        "avatarUrl": "string"      },      "postId": "string",      "preview": "string",      "lastMessageAt": "2019-08-24T14:15:22Z",      "unread": true,      "status": "open",      "assignee": {        "type": "agent",        "agent": "claude",        "name": "string"      },      "sentiment": "positive"    }  ]}